<?php

function playlink_rss_content()
{
	$urlFile = '/tmp/playlink.txt';


	header( "Content-type: text/plain" );

	echo '<?xml version="1.0" ?>' .PHP_EOL;
	echo '<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/">' .PHP_EOL;

?>
  <mediaDisplay name="onePartView"
   viewAreaXPC="0"
   viewAreaYPC="0"
   viewAreaWidthPC="100"
   viewAreaHeightPC="100"

   backgroundColor="0:0:0"

   sideLeftWidthPC="0"
   sideRightWidthPC="0"
   sideColorLeft="0:0:0"
   sideColorRight="0:0:0"

   showHeader="no"
   showDefaultInfo="no"

   idleImageXPC="45.5882"
   idleImageYPC="42.1875"
   idleImageWidthPC="8.8235"
   idleImageHeightPC="15.625"
  >
    <idleImage><?= getRssImages() ?>idle01.png</idleImage>
    <idleImage><?= getRssImages() ?>idle02.png</idleImage>
    <idleImage><?= getRssImages() ?>idle03.png</idleImage>
    <idleImage><?= getRssImages() ?>idle04.png</idleImage>
    <idleImage><?= getRssImages() ?>idle05.png</idleImage>
    <idleImage><?= getRssImages() ?>idle06.png</idleImage>
    <idleImage><?= getRssImages() ?>idle07.png</idleImage>
    <idleImage><?= getRssImages() ?>idle08.png</idleImage>

    <text redraw="yes" offsetXPC="0" offsetYPC="40" widthPC="100" heightPC="10"
     align="center" lines="1" fontSize="20"
     backgroundColor="0:0:0" foregroundColor="255:255:255">
      <?= getMsg('playlinkRss') ?> 
    </text>

    <text redraw="yes" offsetXPC="4.6875" offsetYPC="81.25" widthPC="90.625" heightPC="4.1667"
     align="left" lines="1" fontSize="12"
     backgroundColor="0:0:0" foregroundColor="120:120:120">
     <script>
	if( url != "none" ) url;
	else "";
     </script>
    </text>

    <text redraw="yes" offsetXPC="4.6875" offsetYPC="85.4167" widthPC="90.625" heightPC="4.1667"
     align="left" lines="1" fontSize="14"
     backgroundColor="0:0:0" foregroundColor="255:255:255">
     <script>
	s = "&lt;&lt; <?= getMsg('coreRssPromptMenu') ?>";
	if( url != "none" ) s += " OK <?= getMsg('coreRssPromptPlay') ?> STOP <?= getMsg('playlinkClear') ?>";
	s;
     </script>
    </text>

    <onUserInput>
	ret = "false";
	input = currentUserInput();

	if( input == "enter" || input == "video_play" )
	{
		cmd = "play";
		setRefreshTime(100);
		ret = "true";
	}	
	else if( input == "video_stop" )
	{
		u = getURL("<?= getMosUrl().'?page=playlink_set&amp;clear' ?>");
		url = "none";
		redrawDisplay();
		ret = "true";
	}	
	else if( input == "<?= getRssCommand('rewind') ?>" )
	{
	        u = "<?= getMosUrl().'?page=playlink_rss_menu' ?>";
		u = doModalRss( u );
		if( u != null &amp;&amp; u != "" &amp;&amp; u != "ok" )
		{
			url = u;
		        setRefreshTime(100);
		}
		ret = "true";
	}

	ret;
    </onUserInput>
  </mediaDisplay>
  <onEnter>
	url = "none";
	cmd = "";

	playStatus = 0;
	prevPlaySt = 0;

	setRefreshTime(1000);
  </onEnter>

  <onExit>
	setRefreshTime(-1);
	playItemURL(-1, 1);
  </onExit>

  <onRefresh>
	setRefreshTime(-1);

	u = readStringFromFile("<?= $urlFile ?>");
	if(( u != null )&amp;&amp;( u != "" )&amp;&amp;( url != u ))
	{
		url = u;
		cmd = "play";
	}
	
	vidProgress = getPlaybackStatus();
	playStatus = getStringArrayAt(vidProgress, 3);

	if( cmd != "" )
	{
		if( playStatus != 0 ) playItemURL(-1, 1);

		showIdle();
		playItemUrl( url, 0 );
		cancelIdle();

		cmd = "";
	}
	else
	{
		if ( playStatus != prevPlaySt )
		{
			prevPlaySt = playStatus;
			redrawDisplay();
		}
	}

	setRefreshTime(1000);
	null;
  </onRefresh>

  <channel>
    <itemSize>
      <script>
	0;
      </script>
    </itemSize>
  </channel>
</rss>
<?php

}

?>