<?php
class facebookScraper
{
	public $rules  = array(
		'facebook.com/' => '#(.+)#',
	);

	function get( $id, $quality = 'lo' )
	{
		$opts = array(
			'http' => array(
				'method'  => 'GET',
				'user_agent' => 'Mozilla/5.0 (Windows NT 5.1; rv:39.0) Gecko/20100101 Firefox/39.0',
			)
		);
		$context = stream_context_create($opts);

		$s = @file_get_contents( $id, false, $context);
		if( $s === false ) return false;

		# Get parameters
		if( preg_match( '|"params","(.*?)"|s', $s, $a ) == 0 ) return false;
		$s = urldecode( str_replace('\u0025', '%', $a[1]));
		$a = json_decode( $s );

		if( $quality == 'hi'
		&&  isset( $a->video_data )
		&&  isset( $a->video_data[0]->hd_src )) return array( 'url' => $a->video_data[0]->hd_src,  'again' => false );

		if( isset( $a->video_data )
		&&  isset( $a->video_data[0]->sd_src )) return array( 'url' => $a->video_data[0]->sd_src,  'again' => false );

		return false;
	}
}

$scrapers['facebook'] = new facebookScraper();

?>